#ifndef __convert_H__
#define __convert_H__

#define _GNU_SOURCE
#include <stdio.h>
#include "image.h" 
#include "cimage.h" 

void convert_RGB_to_YCbCr (cimage_t cimg);

image_t convert_Y_cimg_to_img (cimage_t cimg);
/*Use this function only after the image_RGB_to_YCbCr function*/


/*The functions above are necessary to the KLT program*/

unsigned char * convert_cimg_to_unsigned_char (cimage_t cimg);

unsigned char * convert_img_to_unsigned_char (image_t img);

image_t convert_unsigned_char_to_img (unsigned char *uimg, int nx, int ny);

image_t convert_unsigned_char_to_cimg (unsigned char *uimg, int nx, int ny);

void convert_copy_img_to_unsigned_char (image_t img, unsigned char *uimg);

void convert_copy_unsigned_char_to_img (unsigned char *uimg, image_t img);

void convert_copy_unsigned_char_to_cimg (unsigned char *uimg, cimage_t cimg);

#endif
