#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "image_pyramid_list.h"

image_pyramid_list_t image_pyramid_list_alloc (int npyramids)
  {
    image_pyramid_list_t plist;

    plist = (image_pyramid_list_t)malloc(sizeof(struct _image_pyramid_list_t));
    plist->npyramids = npyramids;
    plist->pyrs = (image_pyramid_t *)malloc(npyramids * sizeof(image_pyramid_t));
    return plist;
  }

void image_pyramid_list_free (image_pyramid_list_t plist) 
  {
    int i;
    for (i = 0; i < plist->npyramids; i++) {
      image_pyramid_free(plist->pyrs[i]);
    }
    free(plist->pyrs);
    free(plist);
  }
