#! /bin/bash

# Runs POV-ray on the "camera_dat.inc" produced by test_povray_camera,
# and displays the result.

name="main"

/bin/rm -f ${name}-out.png
nice /home2/minetto/usr/PovRay/povray-3.6/povray +K0.0000 \
            +FN +Q9 +MB1 \
            +W640 +H480 \
            +AM1 +A0.0 +R2 \
            +D +SP32 +EP4 \
            +L/home2/minetto/usr/PovRay/povray-3.6/include \
            +L/home2/minetto/usr/share/tt-fonts \
            +I${name}.pov \
            +O${name}-out.png \
          3>&2 | tee ${name}.log

display ${name}-out.png &
